Page MenuHomePhabricator

Hiera-ize all service installation directories
Closed, ResolvedPublic

Description

A first step toward moving services into standard directories is to move class variables concerning these directories into Hiera.

Event Timeline

dduvall created this task.Mar 10 2015, 8:13 PM
dduvall claimed this task.
dduvall raised the priority of this task from to Medium.
dduvall updated the task description. (Show Details)
dduvall added subscribers: mobrovac, ori, dduvall and 5 others.

Also, related, I think we should make the log dir location a fact. There are currently a lot of lines in hiera saying /vagrant/logs/ when instead they should all point to the same fact.

Change 195800 had a related patch set uploaded (by Dduvall):
Define all service installation directories as facts

https://gerrit.wikimedia.org/r/195800

There are still loads of variables that need refactoring, including those for files/directories under /vagrant/logs, but I didn't want to bloat this commit as it's pretty substantial already. I'll create an additional task for addressing references to /vagrant and friends.

Change 195800 merged by jenkins-bot:
Define all service installation directories as facts

https://gerrit.wikimedia.org/r/195800

bd808 moved this task from In Progress to Done on the MediaWiki-Vagrant board.May 20 2015, 11:46 PM
dduvall closed this task as Resolved.Jun 12 2015, 5:28 PM
Aklapper added a project: Math.Jun 24 2020, 5:53 AM